﻿using System.Data.Common;
using NHibernate;

namespace Drive.Common.Data
{
    public interface ISessionSource
    {
        ISession CreateSession(
            DbConnection connection,
            IInterceptor? interceptor = null);
        IStatelessSession CreateStatelessSession(DbConnection connection);
    }
}
