﻿using System.Data;
using Dapper;

namespace Drive.Common.Data
{
    public class SystemUserProvider
    {
        private readonly IDbConnection _connection;

        public SystemUserProvider(IDbConnection connection)
        {
            _connection = connection;
        }

        public CachedIdentity Get()
        {
            var systemUserId = _connection.QuerySingleOrDefault<int>("SELECT TOP 1 HelperUser FROM AdvertisingManager");
            return new CachedIdentity { SystemUserId = systemUserId };
        }
    }
}
