﻿using System.Security.Claims;

namespace Drive.Common.Security.Extensions
{
    public static class SecurityExtensions
    {
        public static bool ContainsClaimByRole(this IList<Claim> claims, string role)
        {
            return claims.Any(x => x.Type == ClaimTypes.Role && x.Value == role);
        }
    }
}
