﻿using NHibernate;

namespace Drive.Common.Testing.Database
{
    public static class SqlServerUtils
    {
        public static void ExecuteQueryWithIdentityInsert(ISession session, string query, string table, string schema = "dbo")
        {
            session.CreateSQLQuery(string.Format(@"SET IDENTITY_INSERT [{0}].[{1}] ON; {2}; SET IDENTITY_INSERT [{0}].[{1}] OFF;",
                                                 schema, table, query)).ExecuteUpdate();
        }
    }
}
