﻿using Microsoft.AspNetCore.Authorization;

namespace Drive.Common.Web
{
    [AttributeUsage(AttributeTargets.Method | AttributeTargets.Class, Inherited = true, AllowMultiple = true)]
    public class AuthorizeOneOfAttribute : AuthorizeAttribute
    {
        public AuthorizeOneOfAttribute(params string[] roles) : base()
        {
            Roles = string.Join(",", roles);
        }
    }
}
