﻿using Drive.Common.Query;
using NHibernate;

namespace Drive.Common.IntegrationTest.QueryHandlers
{
    public class SessionQueryHandler :
        IQueryHandler<SessionQueryResult>,
        IQueryHandler<string, SessionQueryResult>
    {
        private readonly ISession _session;

        public SessionQueryHandler(ISession session)
        {
            _session = session;
        }

        public SessionQueryResult Retrieve()
        {
            return new SessionQueryResult { Count = 100 };
        }

        public SessionQueryResult Retrieve(string query)
        {
            return new SessionQueryResult { Count = 200 };
        }
    }
}
